<?php if (! defined('ABSPATH')) {
    die;
}

$settings = array(
    'menu_title' => '主题设置',
    'menu_type' => 'menu',
    'menu_slug' => 'Youth',
    'ajax_save' => true,
    'show_reset_all' => false,
    'menu_position' => 59,
    'framework_title' => 'Youth主题 <small>THEME BY <a href="https://www.wpxzt.com/">WPXZT.COM</a></small>',
);

$options = array();

$options[] = array(
    'name' => 'basic',
    'title' => '基本设置',
    'icon' => 'fa fa-home',
    'fields' => array(
        array(
            'id' => 'qq',
            'type' => 'text',
            'title' => '站长QQ',
            'help' => '用来当做头像',
        ),
        array(
            'id' => 'favicon',
            'type' => 'upload',
            'title' => 'favicon图标',
            'default' => get_bloginfo('template_url').'/img/favicon.png',
        ),
        array(
            'id' => 'bg_img',
            'type' => 'upload',
            'title' => '顶部背景图',
            'help' => '逼格尽量高一点',
            'default' => get_bloginfo('template_url').'/img/bg-img.png',
        ),
        array(
            'id' => 'weixin_qr',
            'type' => 'upload',
            'title' => '微信二维码',
            'default' => get_bloginfo('template_url').'/img/weixin-qr.png',
        ),
        array(
            'id' => 'about_link',
            'type' => 'text',
            'title' => '关于页面链接',
        ),
        array(
            'id' => 'link_link',
            'type' => 'text',
            'title' => '友情链接页面链接',
        ),
    ),
);

$options[] = array(
    'name' => 'speed',
    'title' => 'SEO设置',
    'icon' => 'fa fa-server',
    'fields' => array(
        array(
            'type' => 'notice',
            'class' => 'info',
            'content' => 'SEO',
        ),
        array(
            'type' => 'notice',
            'class' => 'info',
            'content' => '全局SEO功能设定',
        ),
        array(
            'id' => 'seo_auto_des',
            'type' => 'switcher',
            'title' => '文章页描述',
            'help' => '开启后将自动截取文章内容作为文章description标签',
            'default' => true
        ),
        array(
            'id' => 'seo_auto_des_num',
            'type' => 'text',
            'title' => '自动截取字节数',
            'default' => '120',
            'dependency' => array('seo_auto_des', '==', true),
        ),
        array(
            'id' => 'seo_sep',
            'type' => 'text',
            'title' => 'Title后缀分隔符',
            'default' => ' - ',
        ),
        array(
            'type' => 'notice',
            'class' => 'info',
            'content' => '首页SEO设置',
        ),
        array(
            'id' => 'seo_home_title',
            'type' => 'text',
            'title' => '首页标题',
            'help' => '关键词使用英文逗号隔开',
        ),
        array(
            'id' => 'seo_home_keywords',
            'type' => 'text',
            'title' => '首页关键词',
        ),
        array(
            'id' => 'seo_home_desc',
            'type' => 'textarea',
            'title' => '首页描述',
        ),
    ),
);

$options[] = array(
    'name' => 'friend_links',
    'title' => '友情链接',
    'icon' => 'fa fa-external-link-square',
    'fields' => array(
        array(
            'type' => 'notice',
            'class' => 'info',
            'content' => '设置网站的友情链接',
        ),
        array(
            'id' => 'friend_options',
            'type' => 'group',
            'title' => '添加友情链接',
            'button_title' => '添加友情链接',
            'accordion_title' => '添加友情链接',
            'fields' => array(
                array(
                    'id' => 'friend_title',
                    'type' => 'text',
                    'title' => '友链名称',
                ),
                array(
                    'id' => 'friend_hi',
                    'type' => 'text',
                    'title' => '友链简介',
                    'desc' => '介绍你一下你的这个朋友',
                ),
                array(
                    'id' => 'friend_img',
                    'type' => 'upload',
                    'title' => '友链头像',
                    'desc' => '逼格高一点就行',
                ),
                array(
                    'id' => 'friend_link',
                    'type' => 'text',
                    'title' => '友链链接',
                    'desc' => '需要带上http://(或者https://)',
                ),
            )
        ),
    ),
);

CSFramework::instance($settings, $options);