<?php
require_once dirname( __FILE__ ) .'/cs-framework/cs-framework.php';
require_once dirname( __FILE__ ) .'/inc/seo.php';
define( 'CS_ACTIVE_FRAMEWORK',   true  );
define( 'CS_ACTIVE_METABOX',     false );
define( 'CS_ACTIVE_TAXONOMY',    false );
define( 'CS_ACTIVE_SHORTCODE',   false );
define( 'CS_ACTIVE_CUSTOMIZE',   false );
require 'inc/plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
	'https://www.wpxzt.com/theme/youth.json',
	__FILE__,
	'Youth'
);

/*
WordPress移除默认顶部工具栏
https://www.wpxzt.com
*/
add_filter('show_admin_bar', '__return_false');

/*
禁止WordPress头部加载s.w.org
https://www.wpxzt.com
*/
function remove_dns_prefetch( $hints, $relation_type ) {
if ( 'dns-prefetch' === $relation_type ) {
return array_diff( wp_dependencies_unique_hosts(), $hints );
}
return $hints;
}
add_filter( 'wp_resource_hints', 'remove_dns_prefetch', 10, 2 );

/*
禁用WordPress加载Emoji表情
http://www.wpxzt.com
*/
remove_action( 'admin_print_scripts' , 'print_emoji_detection_script');
remove_action( 'admin_print_styles' , 'print_emoji_styles');
remove_action( 'wp_head' , 'print_emoji_detection_script', 7);
remove_action( 'wp_print_styles' , 'print_emoji_styles');
remove_filter( 'the_content_feed' , 'wp_staticize_emoji');
remove_filter( 'comment_text_rss' , 'wp_staticize_emoji');
remove_filter( 'wp_mail' , 'wp_staticize_emoji_for_email');


/*
WordPress头部优化
https://www.wpxzt.com
*/
remove_action( 'wp_head', 'feed_links', 2 );
remove_action( 'wp_head', 'feed_links_extra', 3 );
remove_action( 'wp_head', 'rsd_link' );
remove_action( 'wp_head', 'wlwmanifest_link' );
remove_action( 'wp_head', 'index_rel_link' );
remove_action('wp_head', 'parent_post_rel_link', 10, 0 );
remove_action('wp_head', 'start_post_rel_link', 10, 0 );
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0 );
remove_action( 'wp_head', 'locale_stylesheet' );
remove_action('publish_future_post','check_and_publish_future_post',10, 1 );
remove_action( 'wp_head', 'noindex', 1 );
remove_action( 'wp_head', 'wp_print_styles', 8 );
remove_action( 'wp_head', 'wp_print_head_scripts', 9 );
remove_action( 'wp_head', 'wp_generator' );
remove_action( 'wp_head', 'rel_canonical' );
remove_action( 'wp_footer', 'wp_print_footer_scripts' );
remove_action( 'wp_head', 'wp_shortlink_wp_head', 10, 0 );
remove_action( 'template_redirect', 'wp_shortlink_header', 11, 0 );
add_action('widgets_init', 'my_remove_recent_comments_style');
function my_remove_recent_comments_style() {
global $wp_widget_factory;
remove_action('wp_head', array($wp_widget_factory->widgets['WP_Widget_Recent_Comments'] ,'recent_comments_style'));
}

/*
移除WordPress头部的wp-json链接
https://www.wpxzt.com
*/
add_filter('rest_enabled', '__return_false');
add_filter('rest_jsonp_enabled', '__return_false');
remove_action( 'wp_head', 'rest_output_link_wp_head', 10 );
remove_action( 'wp_head', 'wp_oembed_add_discovery_links', 10 );

/*
WordPress获取文章内图片数量
https://www.wpxzt.com
*/
if( !function_exists('get_post_images_number') ){
    function get_post_images_number(){
        global $post;
        $content = $post->post_content;
        preg_match_all('/<img.*?(?: |\\t|\\r|\\n)?src=[\'"]?(.+?)[\'"]?(?:(?: |\\t|\\r|\\n)+.*?)?>/sim', $content, $result, PREG_PATTERN_ORDER);
        return count($result[1]);
    }
}

/*
为WordPress集成wp-clean-up插件
https://www.wpxzt.com
*/
include('inc/wp-clean-up/wp-clean-up.php' );